### Function

# Gimp color_array_copy

#### Declaration [src]

    GimpColorArray
    gimp_color_array_copy (
      GimpColorArray array
    )

#### Description [src]

Creates a new `GimpColorArray` containing a deep copy of a `NULL`-terminated array of `GeglColor`.

#### Parameters

`array`

  Type: `GimpColorArray`

  An array of colors.

#### Return value

Type: `GimpColorArray`

A new `GimpColorArray`.